> For the complete documentation index, see [llms.txt](https://docs.pentaho.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pentaho.com/install/10.2-install/pentaho-installation-overview-cp/docker-container-deployment-of-pentaho-installation-cp/docker-container-deployment-process-docker-deployment/using-the-dockmaker-command-line-tool-docker-deployment/docker-command-tool-property-and-registry-files-installation-article-cp/docker-command-tool-property-file-install/preset-variables-docker-command-tool-properties.md).

# Preset variables

A set of variables are automatically available and can be used within the properties file to create other variables. The following variables are preset:

* **`Version`**

  The version of the base server zip (`10.2.0.0` for example)
* **`distNumber`**

  The build number of base server zip (`343` for example)
* **`patchVersion`**

  The version of the patch file (`10.2.0` for example), if supplied
* **`patchDistNumber`**

  The build number of the patch file (`828` for example)
* **`edition`**

  EE
* **`pluginId`**

  Three character plugin ID (`paz`, `pdd`, `pir`, or `hdp` for example) being processed.
* **`karId`**

  The unique ID for a KAR file. (For example, the KAR file used on the command line)
* **`PORT`**

  The port number from the command line
* **`USER`**

  The user from the command line
* **`PASSWORD`**

  The password from the command line


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pentaho.com/install/10.2-install/pentaho-installation-overview-cp/docker-container-deployment-of-pentaho-installation-cp/docker-container-deployment-process-docker-deployment/using-the-dockmaker-command-line-tool-docker-deployment/docker-command-tool-property-and-registry-files-installation-article-cp/docker-command-tool-property-file-install/preset-variables-docker-command-tool-properties.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
